//
// C++ Implementation: lockedbeatrectlist
//
// Description: 
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "lockedbeatrectlist.h"

LockedBeatRectList::LockedBeatRectList()
 : QPtrList <LockedBeatRect>()
{
}


LockedBeatRectList::~LockedBeatRectList()
{
}

int LockedBeatRectList::compareItems ( QPtrCollection::Item item1, QPtrCollection::Item item2 ){
    if(((LockedBeatRect*)item1)->getStartSample() < ((LockedBeatRect*)item2)->getStartSample())
        return -1;
    else if(((LockedBeatRect*)item1)->getStartSample()==((LockedBeatRect*)item2)->getStartSample() &&
            ((LockedBeatRect*)item1)->getEndSample()==((LockedBeatRect*)item2)->getEndSample()) 
        return 0;
    else return 1;
}


